Next: AIMAG, Previous: ADJUSTL, Up: Intrinsic Procedures [Contents][Index]

### 9.9 `ADJUSTR` — Right adjust a string

Description:

  `ADJUSTR(STRING)` will right adjust a string by removing trailing spaces. Spaces are inserted at the start of the string as needed.

Standard:

  Fortran 95 and later

Class:

  Elemental function

Syntax:

  `RESULT = ADJUSTR(STRING)`

Arguments:

  STR | The type shall be `CHARACTER`.

Return value:

  The return value is of type `CHARACTER` and of the same kind as STRING where trailing spaces are removed and the same number of spaces are inserted at the start of STRING.

Example:

      program test_adjustr
        character(len=20) :: str = 'gfortran'
        str = adjustr(str)
        print *, str
      end program test_adjustr

See also:

  ADJUSTL, TRIM